{#- Support the common webmention ping types by setting appropriate entry headers, like:

    Like-Of: http://example.com/foo
    Repost-Of: http://example.com/bar

-#}
{%- for type, label in (('like-of', '❤️'),
                 ('in-reply-to', '💬'),
                 ('repost-of', '🔄'),
                 ('bookmark-of', '⭐️'),
                 ('syndication', ''),
                ) -%}
    {%- for note in entry.get_all(type) -%}
        {%- with url,_,title = note.partition(' ') -%}
        <a href="{{url}}" title="{{type}}{{' '~title if title else ''}}" class="{{'hidden ' if not label else ''}}u-{{type}}">{{label}} {{title if title else entry.title}}</a>
        {%- endwith -%}
    {%- endfor -%}
{%- endfor -%}

{#- support RSVP webmentions with a header like:

    RSVP: http://example.com/ yes

-#}
{%- for rsvp in entry.get_all('rsvp') -%}
    {%- with url,value = rsvp.split() -%}
        <a class="u-in-reply-to rsvp-{{value}}" href="{{url}}">📅 RSVP: <data class="p-rsvp">{{value}}</data></a>
    {%- endwith -%}
{%- endfor -%}


{#- Support indieweb.xyz pings based on tags; if the category metadata has a Tag: header it will
    send that as the primary tag, and any tags on the entry itself will also be sent out as well. -#}
<ul class="hidden">
{%- for crumb in category.breadcrumb|reverse %}
{%- if crumb.tag %}
<li>indieweb: <a class="u-category" href="https://indieweb.xyz/en/{{crumb.tag|urlencode}}">#{{crumb.tag}}</a></li>
{%- endif %}
{%- endfor %}
{%- for tag in entry.tags %}
<li>indieweb: <a class="u-syndication" href="https://indieweb.xyz/en/{{tag|urlencode}}">{{tag}}</a></li>
{%- endfor %}

{#- support other mention types with a header like:

    Ping: http://example.com/ category

    Unfortunately 'Category:' means something else in Publ so it can't
    be made a standard ping type.
-#}
{%- for ping in entry.get_all('ping') -%}
    {%- with link, class = ping.split() -%}
        <li><a href="{{link}}" class="u-{{class}}">{{class}}</a></li>
    {%- endwith -%}
{%- endfor -%}

</ul>

